# Needs libdatetime-astro-sunrise-perl to be insalled.
# Script found at:
#  http://unix.stackexchange.com/questions/2931/sunrise-and-other-astronomical-data-from-the-command-line
# Change latitude and longitude to your location.
# This script is no longer necessary because it is now embedded into the shell script.

use DateTime;
use DateTime::Astro::Sunrise;
$latitude = "+51.592996"; $longitude = "+5.171443"; 
$sr = DateTime::Astro::Sunrise->new($longitude, $latitude, 0, 3);
$date = DateTime->now; $date->set_time_zone("local");
($rise, $set) = $sr->sunrise($date);
$rise->set_time_zone("local"); $set->set_time_zone("local");
print $rise, " to ", $set, "\n";

